CFMetaData.Builder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.config

## Class CFMetaData.Builder

- java.lang.Object
- - org.apache.cassandra.config.CFMetaData.Builder

- Enclosing class:
    CFMetaData

      public static class CFMetaData.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CFMetaData.Builder` | `addClusteringColumn(ColumnIdentifier name, AbstractType type)`
    `CFMetaData.Builder` | `addClusteringColumn(java.lang.String name, AbstractType type)`
    `CFMetaData.Builder` | `addPartitionKey(ColumnIdentifier name, AbstractType type)`
    `CFMetaData.Builder` | `addPartitionKey(java.lang.String name, AbstractType type)`
    `CFMetaData.Builder` | `addRegularColumn(ColumnIdentifier name, AbstractType type)`
    `CFMetaData.Builder` | `addRegularColumn(java.lang.String name, AbstractType type)`
    `CFMetaData.Builder` | `addStaticColumn(ColumnIdentifier name, AbstractType type)`
    `CFMetaData.Builder` | `addStaticColumn(java.lang.String name, AbstractType type)`
    `CFMetaData` | `build()`
    `static CFMetaData.Builder` | `create(java.lang.String keyspace, java.lang.String table)`
    `static CFMetaData.Builder` | `create(java.lang.String keyspace, java.lang.String table, boolean isDense, boolean isCompound, boolean isCounter)`
    `static CFMetaData.Builder` | `create(java.lang.String keyspace, java.lang.String table, boolean isDense, boolean isCompound, boolean isSuper, boolean isCounter)`
    `static CFMetaData.Builder` | `createDense(java.lang.String keyspace, java.lang.String table, boolean isCompound, boolean isCounter)`
    `static CFMetaData.Builder` | `createSuper(java.lang.String keyspace, java.lang.String table, boolean isCounter)`
    `static CFMetaData.Builder` | `createView(java.lang.String keyspace, java.lang.String table)`
    `boolean` | `hasRegulars()`
    `java.util.Set<java.lang.String>` | `usedColumnNames()`
    `CFMetaData.Builder` | `withId(java.util.UUID tableId)`
    `CFMetaData.Builder` | `withPartitioner(IPartitioner partitioner)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static CFMetaData.Builder create(java.lang.String keyspace,
                                                  java.lang.String table)

    - #### create

          public static CFMetaData.Builder create(java.lang.String keyspace,
                                                  java.lang.String table,
                                                  boolean isDense,
                                                  boolean isCompound,
                                                  boolean isCounter)

    - #### create

          public static CFMetaData.Builder create(java.lang.String keyspace,
                                                  java.lang.String table,
                                                  boolean isDense,
                                                  boolean isCompound,
                                                  boolean isSuper,
                                                  boolean isCounter)

    - #### createView

          public static CFMetaData.Builder createView(java.lang.String keyspace,
                                                      java.lang.String table)

    - #### createDense

          public static CFMetaData.Builder createDense(java.lang.String keyspace,
                                                       java.lang.String table,
                                                       boolean isCompound,
                                                       boolean isCounter)

    - #### createSuper

          public static CFMetaData.Builder createSuper(java.lang.String keyspace,
                                                       java.lang.String table,
                                                       boolean isCounter)

    - #### withPartitioner

          public CFMetaData.Builder withPartitioner(IPartitioner partitioner)

    - #### withId

          public CFMetaData.Builder withId(java.util.UUID tableId)

    - #### addPartitionKey

          public CFMetaData.Builder addPartitionKey(java.lang.String name,
                                                    AbstractType type)

    - #### addPartitionKey

          public CFMetaData.Builder addPartitionKey(ColumnIdentifier name,
                                                    AbstractType type)

    - #### addClusteringColumn

          public CFMetaData.Builder addClusteringColumn(java.lang.String name,
                                                        AbstractType type)

    - #### addClusteringColumn

          public CFMetaData.Builder addClusteringColumn(ColumnIdentifier name,
                                                        AbstractType type)

    - #### addRegularColumn

          public CFMetaData.Builder addRegularColumn(java.lang.String name,
                                                     AbstractType type)

    - #### addRegularColumn

          public CFMetaData.Builder addRegularColumn(ColumnIdentifier name,
                                                     AbstractType type)

    - #### hasRegulars

          public boolean hasRegulars()

    - #### addStaticColumn

          public CFMetaData.Builder addStaticColumn(java.lang.String name,
                                                    AbstractType type)

    - #### addStaticColumn

          public CFMetaData.Builder addStaticColumn(ColumnIdentifier name,
                                                    AbstractType type)

    - #### usedColumnNames

          public java.util.Set<java.lang.String> usedColumnNames()

    - #### build

          public CFMetaData build()

Copyright © 2018 The Apache Software Foundation